% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{estimate_confidence_interval}
\alias{estimate_confidence_interval}
\title{Estimate confidence interval for estimated marginal likelihood by simulation}
\usage{
estimate_confidence_interval(temperatures, y_log_lik_t_equals_1_traces,
  confidence = 0.95, simulations = 1000)
}
\arguments{
\item{temperatures}{Numeric vector of temperatures of power posteriors. One chain will be created for each element of the vector at the corresponding temperature.}

\item{y_log_lik_t_equals_1_traces}{Numeric matrix of log probabilities of \code{y} at different temperatures (columns) in different iterations (rows).}

\item{confidence}{Numeric value of statistical confidence with which returning interval should contain the true value.}

\item{simulations}{Integer value of number of simulations to use in estimation of the confidence interval.}
}
\description{
Estimate confidence interval for estimated marginal likelihood by simulation
}

